# Uses of Class
writer2latex.office.OfficeDocument

Packages that use OfficeDocument
Package
Description
writer2latex.base
writer2latex.office

## Uses of OfficeDocument in writer2latex.base

Fields in writer2latex.base declared as OfficeDocument
Modifier and Type
Field
Description
`protected OfficeDocument`
ConverterBase.`odDoc`

## Uses of OfficeDocument in writer2latex.office

Constructors in writer2latex.office with parameters of type OfficeDocument
Modifier
Constructor
Description
`protected`
`EmbeddedBinaryObject(String sName, String sType, OfficeDocument doc, SimpleZipReader source)`
Package private constructor for use when reading an object from a package ODF file
`protected`
`EmbeddedObject(String sName, String sType, OfficeDocument doc)`
Construct a new embedded object
`protected`
`EmbeddedXMLObject(String sName, String sType, OfficeDocument doc, SimpleZipReader source)`
Read an object from an ODF package document
``
`MetaData(OfficeDocument oooDoc)`
Construct a new instance from an OOo Writer document.
``
`OfficeReader(OfficeDocument oooDoc, boolean bAllParagraphsAreSoft, boolean bDestructive)`
Constructor; read a document